C
C This file is issued from the MODULEF library, but has been 
C subsequently modified
C
      SUBROUTINE PRALDY(M,LM)
C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C BUT :
C     ALLOCATION DYNAMIQUE - PREPARATION (I.E. INITIALISATION)
C
C PARAMETRES :
C     M      : SUPER-TABLEAU
C     LM     : LONGUEUR DU SUPER-TABLEAU
C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C PROGRAMMEUR : F. HECHT - INRIA - AVRIL 86
C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
      DIMENSION M(*)
      DATA IDEBUT/5/
      IF(LM.LE.10 ) GOTO 10
      M(1     )= LM
      M(2     )= IDEBUT
      M(3     )= 1
      M(4     )= ICHAR4('    ')
      M(IDEBUT)= -LM-1
C      IIN=5       OPTIM
      NBCOL=80
C      IMPERR=0     OPTIM
C      NFERR=6      OPTIM
      IF(NBCOL.EQ.132) WRITE(IINFO('I'),99)
      RETURN
   10 WRITE(IINFO('I'),100) LM
      STOP
C
C  99 FORMAT(1X,15('ALDY ')//,30X,' FORMAT OF PRINTOUT BY ALDY '//      #GB
C    +       ' NOM SP: (   COMMENT    )     STAB',14X,                  #GB
C    +'NOM  T NB_MOTS   ADRES'//                                        #GB
C    +10X,' STAB   : NAME OF SUPER ARRAY  , NOM   : NAME OF ARRAY'/     #GB
C    +10X,' T      : TYPE OF ARRAY        , NB_MOT: NUMBER OF WORDS'/   #GB
C    +10X,' ADRESSE : ADRES OF THE FIRST WORD IN THE ARRAY'//           #GB
C    +5X,' REMARQUE : ADRESS,ALLMAX ET ALLOUE CALLS READRE '            #GB
C    +//1X,15('ALDY '))                                                 #GB
C 100 FORMAT(' COULD YOU NOT DIMENSION THE ARRAY CORRECTLY'             #GB
C    +/' THE LENGTH OF THE ARRAY IS : ' ,I12, ' STOP IN PRALDY')        #GB
C                                                                       #GB
C
   99 FORMAT(1X,15('ALDY ')//,30X,' FORMAT DES IMPRESSIONS DE ALDY '//  #F
     +       ' NOM SP: (   COMMENTAIRE    )     STAB',14X,              #F
     +'NOM  T NB_MOTS   ADRESSE'//                                      #F
     +10X,' STAB   : NOM DU SUPER TABLEAU , NOM   : NOM DU TABLEAU'/    #F
     +10X,' T      : TYPE DU TABLEAU      , NB_MOT: NOMBRE DE MOTS'/    #F
     +10X,' ADRESSE: ADRESSE DU PREMIER MOT DU TABLEAU'//               #F
     +5X,' REMARQUE : ADRESS,ALLMAX ET ALLOUE APPELLENT READRE '        #F
     +//1X,15('ALDY '))                                                 #F
  100 FORMAT(' NE POURIEZ VOUS PAS DIMENSIONNER CORRECTEMENT LE TABLEAU'#F
     +/' LA LONGUEUR DU TABLEAU EST : ' ,I12, ' STOP DANS PRALDY')      #F
                                                                        #F
C
      END
